Skip to main content

List of In-App Subscriptions

🚧
Feature under development

In-App Subscriptions are currently under development and will be released soon. This endpoint may change before launch.

You can retrieve the list of In-App Subscriptions associated with your application through the Aptoide Connect Developer Console or programmatically using this API endpoint

Endpoint

MethodURL
GEThttps://ws.catappult.io/api/applications/{applicationName}/subscriptions

Authentication

To access this API, you need to have an active account subscription on Aptoide Connect and authenticate with an API key (check here how to generate one).

⚠️
Account type required

In-app subscriptions can only be retrieved by accounts of type Developer.

Headers

HeaderTypeRequiredDescription
Api-KeystringRequiredUsed to authenticate your API requests. The value is your Aptoide Connect API key.

Path Parameters

ParameterTypeDescription
applicationNamestringThe unique package name of the application (e.g., com.example.test).

Query Parameters

Parameter

Type

Required

Description

operatingSystem

string (URL)or file

Optional (default: android)

Operating system for which the in-app subscriptions should be retrieved. Possible values:
android
ios

limit

number

Optional (default: 50)

Maximum number of records to return in the response.

cursor

string

Optional

Cursor for pagination, indicating where to continue fetching data from a previous response.

Response

Success

If the API call returns an HTTP 200 status code, the request was successful and it returns an array of in-app subscription objects associated with the specified application.

{
"data": [
{
"addedTimestamp": "2025-01-01 00:00:00",
"freeTrialPeriod": null,
"gracePeriod": null,
"id": "BT3XD2PNZ54OHDC7",
"locale": {
"description": "Descripcion",
"locale": "es",
"title": "Titulo"
},
"modifiedTimestamp": "2025-01-01 00:00:00",
"period": "P1W",
"referencePrice": {
"amount": 1,
"currency": "USD"
},
"sku": "subscription01",
"status": "ACTIVE"
}
],
"nextCursor": null
}